Name:           argyllcms
Version:        3.1.0
Release:        %mkrel 1
Summary:        ICC compatible color management system
Group:          Graphics
License:        AGPLv3
URL:            https://www.argyllcms.com/
Source0:	https://www.argyllcms.com/Argyll_V%{version}_src.zip
#Source0:        https://people.freedesktop.org/~hughsient/releases/hargyllcms-%{version}.tar.xz
Patch1:		argyllcms-datadir.patch

BuildRequires:	ftjam
#BuildRequires:	boost-bjam
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:	pkgconfig(xscrnsaver)

%description
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

Spectral sample data is supported, allowing a selection of illuminants observer
types, and paper fluorescent whitener additive compensation. Profiles can also
incorporate source specific gamut mappings for perceptual and saturation
intents. Gamut mapping and profile linking uses the CIECAM02 appearance model,
a unique gamut mapping algorithm, and a wide selection of rendering intents. It
also includes code for the fastest portable 8 bit raster color conversion
engine available anywhere, as well as support for fast, fully accurate 16 bit
conversion. Device color gamuts can also be viewed and compared using a VRML
viewer.

%prep
%setup -qn Argyll_V%{version}
%autopatch -p1

%build
jam -q -dx -fJambase %{?_smp_build_ncpus:-j%{_smp_build_ncpus}}

%install
jam -q -dx -fJambase %{?_smp_build_ncpus:-j%{_smp_build_ncpus}} install \
  DESTDIR=%{buildroot} \
  PREFIX=%{_prefix} \
  REFSUBDIR=%{_datadir}/color/argyll

rm -rf %{buildroot}%{_bindir}/License.txt

%files
%{_bindir}/*
%{_datadir}/color/argyll


%changelog
* Thu Feb 15 2024 onkelho <oh.quait at gmail.com> - 3.1.0-1quait2024
- new version on 2024-01-22

* Sat Jul 09 2022 tex - 2.3.1-1pclos2022
- 2.3.1
